<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>40.20</title>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <h3 class="text-center p-2 text-info">DANH SÁCH KHOÁ HỌC</h3>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row form-group">
                <div class="col-sm-12 text-nowrap">
                    <button class="btn btn-success form-group" id="id-add">Thêm khoá học</button>
                    <!-- <button class="btn btn-success form-group" id="id-fix">Sửa khoá học</button>
                    <button class="btn btn-success form-group" id="id-delete">Xoá khoá học</button> -->
                    <table class="table table-bordered table-striped table-hover table-responsive-sm" id="user-table">
                        <thead class="text-white thead-light">
                            <tr class="text-center">
                                <th scope="col">STT</th>
                                <th scope="col">Id</th>
                                <th scope="col">Code</th>
                                <th scope="col">Name</th>
                                <th scope="col">Pice($)</th>
                                <th scope="col">Time</th>
                                <th scope="col">Level</th>
                                <th scope="col">Teacher Name</th>
                                <th scope="col">isPopular</th>
                                <th scope="col">isTrending</th>
                                <th scope="col">Action</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
     <!--Vùng Modal add couse-->
     <div id="user-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">add couse</h5>
                </div>
                <!-- Modal body - chứa form dữ liệu -->
                <div class="modal-body"> 
                    <form> <!-- form thiết kế như form bình thường, theo grid model -->
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Course Code</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="courseCode">
                        </div>
                      </div>
      
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Course Name</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="courseName">
                        </div>
                      </div>
      
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Price</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="price">
                        </div>
                      </div>
                      
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Duration</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="duration">
                        </div>
                      </div>

                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Level</label>
                        <div class="col-sm-8">
                            <select name="" id="level" class=" form-control">
                                <option value="Not-select"></option>
                                <option value="Beginner">Beginner</option>
                                <option value="Intermediate">Intermediate</option>
                                <option value="Advanced">Advanced</option>
                              </select>
                        </div>
                      </div>

                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Teacher Name</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="teacherName">
                        </div>
                      </div>

                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Cover Image</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="coverImage">
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">Teacher Photo</label>
                        <div class="col-sm-8">
                          <input class="form-control" id="teacherPhoto">
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">is Popular</label>
                        <div class="col-sm-8">
                            <select name="" id="isPopular" class=" form-control">
                                <option value="Not-select"></option>
                                <option value="true">True</option>
                                <option value="false">False</option>
                              </select>
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-sm-4 col-form-label">is Trending</label>
                        <div class="col-sm-8">
                            <select name="" id="isTrending" class=" form-control">
                                <option value="Not-select"></option>
                                <option value="true">True</option>
                                <option value="false">False</option>
                              </select>
                        </div>
                      </div>
                     
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" id="btn-modal-add" class="btn btn-primary" >add couse </button>
                    <button type="button" id="btn-modal-cancel" class="btn btn-info" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
      </div>
      <!--Vùng Modal edit couse-->
     <div id="user-modal-edit" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                  <h5 class="modal-title">Edit couse</h5>
              </div>
              <!-- Modal body - chứa form dữ liệu -->
              <div class="modal-body"> 
                  <form> <!-- form thiết kế như form bình thường, theo grid model -->
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Course Code</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="id-courseCode">
                      </div>
                    </div>
    
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Course Name</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idcourseName">
                      </div>
                    </div>
    
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Price</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idprice">
                      </div>
                    </div>
                    
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Duration</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idduration">
                      </div>
                    </div>

                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Level</label>
                      <div class="col-sm-8">
                          <select name="" id="idlevel" class=" form-control">
                              <option value="Not-select"></option>
                              <option value="Beginner">Beginner</option>
                              <option value="Intermediate">Intermediate</option>
                              <option value="Advanced">Advanced</option>
                            </select>
                      </div>
                    </div>

                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Teacher Name</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idteacherName">
                      </div>
                    </div>

                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Cover Image</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idcoverImage">
                      </div>
                    </div>
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">Teacher Photo</label>
                      <div class="col-sm-8">
                        <input class="form-control" id="idteacherPhoto">
                      </div>
                    </div>
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">is Popular</label>
                      <div class="col-sm-8">
                          <select name="" id="idisPopular" class=" form-control">
                              <option value="Not-select"></option>
                              <option value="true">True</option>
                              <option value="false">False</option>
                            </select>
                      </div>
                    </div>
                    <div class="row form-group">
                      <label class="col-sm-4 col-form-label">is Trending</label>
                      <div class="col-sm-8">
                          <select name="" id="idisTrending" class=" form-control">
                              <option value="Not-select"></option>
                              <option value="true">True</option>
                              <option value="false">False</option>
                            </select>
                      </div>
                    </div>
                   
                  </form>
              </div>
              <div class="modal-footer">
                  <button type="button" id="btn-modal-edit" class="btn btn-primary" >Edit couse </button>
                  <button type="button" id="btn-modal-cancel" class="btn btn-info" data-dismiss="modal">Cancel</button>
              </div>
          </div>
      </div>
    </div>
    <!-- Delete confirm modal -->
<div>
  <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="h5-modal-title"> Delete Confirmation</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <label>Bạn có chắc chắn muốn xóa thông tin này không?</label>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" id="btn-confirm-delete-voucher">Confirm</button>
          <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
<link rel="stylesheet" href="style.css">
<script src="script1.js"></script>
</html>